phing-tasks-ext-simpletest

# Class: SimpleTestDebugResultFormatter Source Location: /tasks/ext/simpletest/SimpleTestDebugResultFormatter.php
### Class Overview
    SimpleReporter
       |
       --SimpleTestResultFormatter
          |
          --SimpleTestDebugResultFormatter
Prints plain text output of the test to a specified Writer. #### Author(s): Michiel Rook <michiel.rook@gmail.com> #### Version: $Id: SimpleTestDebugResultFormatter.php 552 2009-08-29 12:18:13Z mrook $ | ### Variables $current_case $current_test | ### Methods paint paintCaseEnd paintCaseStart paintError paintException paintFail paintMethodEnd paintMethodStart printFailingTests
### Inherited Variables #### Class: SimpleTestResultFormatter SimpleTestResultFormatter::$out SimpleTestResultFormatter::$project | ### Inherited Methods #### Class: SimpleTestResultFormatter SimpleTestResultFormatter::getElapsedTime() SimpleTestResultFormatter::getErrorCount() SimpleTestResultFormatter::getExtension() Returns the extension used for this formatter SimpleTestResultFormatter::getFailureCount() SimpleTestResultFormatter::getPreferredOutfile() SimpleTestResultFormatter::getRunCount() SimpleTestResultFormatter::getTestName() SimpleTestResultFormatter::paintCaseEnd() SimpleTestResultFormatter::paintCaseStart() SimpleTestResultFormatter::paintError() SimpleTestResultFormatter::paintFail() SimpleTestResultFormatter::paintMethodEnd() SimpleTestResultFormatter::paintMethodStart() SimpleTestResultFormatter::setOutput() Sets the writer the formatter is supposed to write its results to. SimpleTestResultFormatter::setProject() Sets the project
### Class Details [line 32] Prints plain text output of the test to a specified Writer. #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
version: | $Id: SimpleTestDebugResultFormatter.php 552 2009-08-29 12:18:13Z mrook $
since: | 2.2.0
[ Top ] ### Class Variables #### $current_case = "" [line 34] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $current_test = "" [line 35] #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### method paint [line 60]
`void paint( $msg)`
#### Parameters:
| $msg |
[ Top ] ### method paintCaseEnd [line 73]
`void paintCaseEnd( $test_name)`
Overrides SimpleTestResultFormatter::paintCaseEnd() (parent method not documented) #### Parameters:
| $test_name |
[ Top ] ### method paintCaseStart [line 44]
`void paintCaseStart( $test_name)`
Overrides SimpleTestResultFormatter::paintCaseStart() (parent method not documented) #### Parameters:
| $test_name |
[ Top ] ### method paintError [line 92]
`void paintError( $message)`
Overrides SimpleTestResultFormatter::paintError() (parent method not documented) #### Parameters:
| $message |
[ Top ] ### method paintException [line 105]
`void paintException( $message)`
#### Parameters:
| $message |
[ Top ] ### method paintFail [line 99]
`void paintFail( $message)`
Overrides SimpleTestResultFormatter::paintFail() (parent method not documented) #### Parameters:
| $message |
[ Top ] ### method paintMethodEnd [line 68]
`void paintMethodEnd( $test_name)`
Overrides SimpleTestResultFormatter::paintMethodEnd() (parent method not documented) #### Parameters:
| $test_name |
[ Top ] ### method paintMethodStart [line 51]
`void paintMethodStart( $test_name)`
Overrides SimpleTestResultFormatter::paintMethodStart() (parent method not documented) #### Parameters:
| $test_name |
[ Top ] ### method printFailingTests [line 38]
`void printFailingTests( )`
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:00 +0200 by phpDocumentor 1.4.3